/// <reference types="@coral-xyz/anchor/node_modules/@solana/web3.js" />
import { LiquidityPoolJsonInfo } from '@raydium-io/raydium-sdk';
import { Connection } from '@solana/web3.js';
export declare class SolanaSwapClient {
    rpc: string;
    connection: Connection;
    poolKeys: LiquidityPoolJsonInfo[];
    constructor(poolKeys: LiquidityPoolJsonInfo[], devnet?: boolean);
    swap(fromPrivKeyBs58: string, tokenIn: string, tokenOut: string, amountIn: string, slippage?: string, // 5%
    priceImpact?: string | null, speedUp?: boolean, maxRetries?: number): Promise<{
        txid: string;
        amountOut: number;
    }>;
    calcAmountOut(fromPrivKeyBs58: string, tokenIn: string, tokenOut: string, amountIn: string, slippage?: string, // 5%
    priceImpact?: string | null): Promise<{
        amountIn: number;
        amountOut: number;
    }>;
}
export declare function transferSpl(connection: Connection, fromPrivKeyBs58: string, token: string, amount: string, receiver: string, speedUp?: boolean): Promise<string>;
export declare function transferSols(connection: Connection, fromPrivKeyBs58: string, amount: string, receiver: string, speedUp?: boolean): Promise<string>;
